Update a mortgage search Run in API Explorer
Ask AI
PUT
/api/v2/mortgage-searches/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v2/mortgage-searches/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"My Mortgage Search"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "My Mortgage Search"
}
Response examples (200)
{
"uuid": "2c3e0430-2c4b-40e5-a465-0e61cb93b32a",
"created_at": "2026-08-04T11:03:35+01:00",
"updated_at": "2026-08-04T11:03:35+01:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": [],
"applicants": [
{
"uuid": "3a372c59-7f96-4615-849e-529275f96b08",
"created_at": "2026-08-04T11:03:35+01:00",
"updated_at": "2026-08-04T11:03:35+01:00",
"account": {
"uuid": "5b198dff-ad13-40e5-989e-01df60447bcf",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
}
}
],
"cases": [
{
"uuid": "84e0a68c-c014-48ae-9e4b-fba9887dc335",
"created_at": "2026-08-04T11:03:35+01:00",
"updated_at": "2026-08-04T11:03:35+01:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "85d94cac-2c86-491e-92fb-e5a989b38983",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00"
},
"review_at": "2026-08-04T11:03:35+01:00",
"assigned_to_uuids": [
"7c29ef66-63e5-4ed0-b6b5-ee9cd7cac02a"
],
"group_uuids": [
"ce187df9-2e63-4180-bb60-c476c21737e2"
],
"completed_at": "2026-08-04T11:03:35+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "7b6f31a6-b111-4732-bd12-71047670d793",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-04T11:03:40+01:00",
"next_review_date": "2026-08-04T11:03:40+01:00",
"previous_review_date": "2026-08-04T11:03:40+01:00",
"anniversary_review_date": "2026-08-04T11:03:40+01:00",
"terms_of_business_at": "2026-08-04T11:03:40+01:00",
"client_agreement_at": "2026-08-04T11:03:40+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-04",
"last_interaction_at": "2026-08-04 11:03:40",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-04T11:03:40+01:00",
"out_of_office_until": "2026-08-04T11:03:40+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"task_board_uuid": "6c5b0df8-7d3e-433b-b140-5e0da07c743f",
"plans": {
"uuid": "a091ffad-d76a-4baa-9dca-ff1a9cf7842d",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"opened_at": "2026-08-04T11:03:40+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-08-04T11:03:40+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-08-04",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-08-04",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-08-04T11:03:40+01:00",
"original_valued_at": "2026-08-03T11:03:40+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
}
],
"products": [
{
"uuid": "d5102a1a-4fa9-45bd-94b2-ea0e3e28efd4",
"created_at": "2026-08-04T11:03:35+01:00",
"updated_at": "2026-08-04T11:03:35+01:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year",
"files": {
"uuid": "9504ebc7-5693-44dd-afb0-a46b26b6df69",
"created_at": "2026-08-04T11:03:40+01:00",
"original_created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"uploaded_at": "2026-08-04T11:03:40+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-04T11:03:40+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/450a59ff-b61f-46f1-84d0-cad458a75486/download",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
}
}
],
"files": [
{
"uuid": "02240a8e-d67f-4ed9-9e22-02859022c116",
"created_at": "2026-08-04T11:03:35+01:00",
"original_created_at": "2026-08-04T11:03:35+01:00",
"updated_at": "2026-08-04T11:03:35+01:00",
"uploaded_at": "2026-08-04T11:03:35+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-08-04T11:03:35+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/4656a122-c8ce-4b3a-8538-037a63ed1c8d/download",
"folder_name": "folder 2",
"folder": {
"uuid": "2190164a-fd92-4e17-b592-30bf076395e2",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "1d84f816-8193-4c10-8a24-c9b7b9b40f5f"
},
"firm": {
"uuid": "c032b7ce-5012-49f4-8586-f6dbc9d5aff9",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "5b198dff-ad13-40e5-989e-01df60447bcf",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "212adb72-7208-4a91-8b49-f6e3622f9526",
"created_at": "2026-08-04T11:03:40+01:00",
"updated_at": "2026-08-04T11:03:40+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}